#ifndef XMAPENTS_H
#define XMAPENTS_H

#include "xasset.h"
#include "xstring.h"

class XMapEnts : public XAsset
{
public:
    explicit XMapEnts();
    ~XMapEnts();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;

private:
    XString mName;
    XString mEntityString;
    int mNumEntityChars;
};

#endif // XMAPENTS_H
